//
//  TextureBackgroundShader.vsh
//  BrickBreaker
//
//  Created by SnTApps on 1/22/13.
//  Copyright (c) 2013 SnTApps. All rights reserved.
//

attribute highp vec4 a_position;
attribute mediump vec2 a_texCoord0;

varying mediump vec2 v_texCoord0;

uniform highp mat4 u_modelViewProjectionMatrix;
uniform mediump vec2 u_textureOffset0;

void main()
{
    v_texCoord0 = u_textureOffset0 + a_texCoord0;

    gl_Position = u_modelViewProjectionMatrix * a_position;
}
