//
//  GrayscaleTextureShader.fsh
//  LuckyDoors
//
//  Created by SnTApps on 1/22/13.
//  Copyright (c) 2013 SnTApps. All rights reserved.
//

varying mediump vec2 v_texCoord0;

uniform mediump vec4 u_tintColor0;
uniform sampler2D u_texture0;

void main()
{
    mediump vec4 fragmentColor = texture2D(u_texture0, v_texCoord0);
    mediump float intensity = fragmentColor.r * 0.299 + fragmentColor.g * 0.587 + fragmentColor.b * 0.114;

    gl_FragColor = u_tintColor0 * vec4(intensity, intensity, intensity, fragmentColor.a);
}
